// import qs from 'qs'
import request from '../index'
const prefix = 'sys/'
// 修改密码
export function changePwd(data: { oldPwd: string; newPwd: string }) {
  return request.post(`${prefix}mgr/changePwd`, data)
}
// 用户列表
export function getUserList(params: object) {
  return request({
    url: `${prefix}mgr/list`,
    method: 'get',
    params,
  })
}

// 添加用户
export function addUser(data: object) {
  return request.post(`${prefix}mgr/add`, data)
}
// 修改用户
export function updateUser(data: object) {
  return request.post(`${prefix}mgr/update`, data)
}
// 删除用户
export function delUser(data: { id: string }) {
  return request({
    url: `${prefix}mgr/delete`,
    method: 'post',
    data,
  })
}

// 冻结用户
export function freezeUserApi(data: { id: string }) {
  return request({
    url: `${prefix}mgr/freeze`,
    method: 'post',
    data,
  })
}
// 冻结用户
export function unfreezeUser(data: { id: string }) {
  return request({
    url: `${prefix}mgr/unfreeze`,
    method: 'post',
    data,
  })
}

// 重置用户密码
export function resetPwdApi(data: object) {
  return request({
    url: 'sys/mgr/reset',
    method: 'post',
    data,
  })
}

// 分配角色
export function roleAssign(userId: string, ids: string[]) {
  return request({
    url: 'sys/mgr/roleAssign',
    method: 'post',
    data: {
      userId,
      roleIds: ids,
    },
    // paramsSerializer: (params) => qs.stringify(params, { indices: false })
  })
}
